### Constructor

# WebKit UserMessage new_with_fd_list

since: 2.28

#### Declaration [src]

    WebKitUserMessage*
    webkit_user_message_new_with_fd_list (
      const char* name,
      GVariant* parameters,
      GUnixFDList* fd_list
    )

#### Description [src]

Create a new `WebKitUserMessage` including also a list of UNIX file descriptors to be sent.

Available since: 2.28

#### Parameters

`name`

  Type: `const char*`

  The message name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parameters`

  Type: `GVariant`

  The message parameters as a `GVariant`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`fd_list`

  Type: `GUnixFDList`

  The message file descriptors.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `WebKitUserMessage`

The newly created `WebKitUserMessage` object.

The data is owned by the called function.